Theysen

[1.7.3-1.8.1] Realism Overhaul v12.8.1 [17 April 2020]

Recommended Posts

1 minute ago, Pehvbot said:

I can't speak to the RP-0 devs, but I've been working on a RSS/stock parts rescale mod and ran into a nasty bug for Breaking Ground robotic parts.  Basically while in the VAB any parts attached to a Breaking Ground robotic part will have the robotic part's rescale factor (kerbal parts need to be 1.6 larger to make them 'real' sized) to its children, but only when placing parts a 'copy' (i.e. alt-click) of a part or a part in symmetry mode. 

This means if you make the robotic parts 'real' sized all the parts it's attached to 'blow up' in size when building with them.  Attached parts become 1.6x larger for no good reason.  The strange thing is, this only happens in the VAB/SPH.   When you launch the craft, the parts go back to normal size.  It make building things very difficult though.  You can still use the parts at their default size, but that means they are kinda puny for RSS.

eww, does sound like a nasty bug... I really was just wondering about the masses b/c they seem tremendously high for what they are, a powered hinge weighs almost a ton! But yeah, I might jsut go back to using IR for my payload bays and such :P 

Thanks for the intel tho :D 

Edited by lk00david
adding a thank you

Share this post


Link to post
Share on other sites

Try to make a Ro config for the RCS from Nearfuture Spacecraft.

Question 1:The thruster works, but i see no plume....any ideas why?!

Question 2: See below the code.

RCS Thruster:

//// Near Future Spacecraft 0.5.4
// Shielded 5-Way RCS Block
PART
{

	// --- general parameters ---
	name = rcsblock-aero-5way-1
	module = Part
	author = ChrisAdderley

	// --- asset parameters ---
	MODEL
	{
		model = NearFutureSpacecraft/Parts/RCS/rcsblock-aero/rcsblock-aero-5way-1
		position = 0.0, 0.0, 0.0
		scale = 1,1,1
		rotation = 0, 0, 0
	}
	scale = 1

	// --- node definitions ---
	// definition format is Position X, Position Y, Position Z, Up X, Up Y, Up Z
	node_attach = 0.00, -0.0, -0.00, 1.0, 0.0, 0.0

	// --- editor parameters ---
	TechRequired = specializedControl
	entryCost = 1800
	cost = 65
	category = Control
	subcategory = 0
	title = #LOC_NFSpacecraft_rcsblock-aero-5way-1_title
	manufacturer = #autoLOC_501631
	description = #LOC_NFSpacecraft_rcsblock-aero-5way-1_description

	// attachment rules: stack, srfAttach, allowStack, allowSrfAttach, allowCollision
	attachRules = 0,1,0,0,0

	// --- standard part parameters ---
	mass = 0.05
	dragModelType = default
	maximum_drag = 0.001
	minimum_drag = 0.001
	angularDrag = 2
	crashTolerance = 15
	maxTemp = 2300
	bulkheadProfiles = srf
	tags = #LOC_NFSpacecraft_rcsblock-aero-5way-1_tags

	// --- rcs module parameters ---
	EFFECTS
	{
		running
		{
			AUDIO_MULTI_POOL
			{
				channel = Ship
				transformName = thrustVector
				clip = sound_rocket_mini
				volume = 0.0 0.0
				volume = 0.1 0.0
				volume = 0.5 0.025
				volume = 1.0 0.1
				pitch = 0.0 0.75
				pitch = 1.0 1.5
				loop = true
			}
			MODEL_MULTI_PARTICLE
			{
				name = FX1
				modelName = NearFutureSpacecraft/FX/fx-rcs-large-01
				transformName = thrustVector
				emission = 0.0 0.0
				emission = 0.1 0.0
				emission = 1.0 1.0
				speed = 0.0 0.8
				speed = 1.0 1.0
			}
			MODEL_MULTI_PARTICLE
			{
				name = fx2
				modelName = NearFutureSpacecraft/FX/fx-rcs-small-01
				transformName = thrustVector
				emission = 0.0 0.0
				emission = 0.2 0.0
				emission = 1.0 1.0
				speed = 0.0 1.0
				speed = 1.0 1.0
				localRotation = 0, 0, 0
				localOffset = 0, 0.1, 0
			}
		}
	}
	MODULE
	{
		name = ModuleRCSFX
		thrusterTransformName = thrustVector
		thrusterPower = 0.7
		tagingEnabled = False
		resourceFlowMode = STAGE_PRIORITY_FLOW
		resourceName = MonoPropellant
		runningEffectName = running
		atmosphereCurve
		{
		 key = 0 280
		 key = 1 100
		}
	}
}

My config:

@PART[rcsblock-aero-5way-1]:FOR[RealismOverhaul]
{
	%RSSROConfig = True
    @PhysicsSignificance = 0
	!MODULE[TweakScale]
	{
	}
	@mass = 0.00379
	@MODULE[ModuleRCS*]
	{
		@name = ModuleRCS
		@resourceFlowMode = STACK_PRIORITY_SEARCH
		@thrusterPower = 0.445
		!resourceName = DELETE
		PROPELLANT
		{
			name = MMH
			ratio = 0.456
		}
		PROPELLANT
		{
			name = NTO
			ratio = 0.544
		}
		@atmosphereCurve
		{
			@key,0 = 0 300
			@key,1 = 1 100
		}
	}
}

 

Question 2: If i want to be free to choose which fuel the thruster should use, i need to add a Module [ModuleEngineConfigs] where i add a configuration:

@MODULE[ModuleEngineConfigs]
	{
		@configuration = Nitrogen
	}

 

Thanks!

Share this post


Link to post
Share on other sites

Hey. I found a few errors in the configs for SSTU. These are pretty simple to fix; I'm using the latest download of Realism overhaul from github. In RealismOverhaul/RO_SuggestedMods/SSTU/SSTU_SCC_Orion.cfg there's a source for a  bug that makes it so that the capsule is stuck with the default resources it's given by SSTU. If you try to change these in game it will revert back to the default resources when you launch or reload the craft file.  To fix this you have to add     !MODULE[SSTUVolumeContainer]{} before you add the ModuleFuelTanks module and define the resources you want the part to have. So this

MODULE
    {
        name = ModuleFuelTanks
        type = ServiceModules

needs to become this

!MODULE[SSTUVolumeContainer]{}

MODULE
    {
        name = ModuleFuelTanks
        type = ServiceModule

 

This needs to be done for the Orion Command Module, the Orion European Service Module, and the Orion orbital Command Module. All can be found in the SSTU-SCC-Orion.cfg file. There's another bug in that file which results from the wrong module being named for the RCS. As a result the RCS thrusters on these parts retain their SSTU definitions. Where it says 

@MODULE[ModuleRCS],

It needs to be changed to 

@MODULE[ModuleRCSFX],

This again needs to be done for all the orion parts. Not sure whether or not this is supposed to be posted here, so sorry mods if I'm not supposed to be posting this here! I spent a good hour trying to figure this out, and thought I'd post it to save you all the trouble of fixing it yourself. I personally fixed these issues on my own installation of Realism Overhaul. If the Dev's want me to send them the CFG files I can send the edited ones on GitHub? Just let me know. Thanks for creating this awesome mod guys! I enjoy it quite a bit. 

Edited by chuckstables

Share this post


Link to post
Share on other sites

Hi !

In RO,, when an engine is ignited, it take a few second before apply his force (even at full throttle)

I love this feature and was wondering what mod or .cfg  create this effect.

Someone know this info ?

Thanks

Share this post


Link to post
Share on other sites
14 hours ago, Carni35 said:

Hi !

In RO,, when an engine is ignited, it take a few second before apply his force (even at full throttle)

I love this feature and was wondering what mod or .cfg  create this effect.

Someone know this info ?

Thanks

The value is throttleResponseRate and by default it is not defined in the engine block of the config. This allows it to default to what I believe is 4 seconds. If you want to change it, look for where ignitions is defined in an engine config and add %throttleResponseRate = 100000, the higher the number you put the faster it will apply the thrust after ignition. The number I gave there should be basically instant ignition.

Share this post


Link to post
Share on other sites

Will support for the Breaking Ground parts be added in the future? The robotic parts as well as the surface experiments are "Non-RO" and they don't work correctly.

Also great work with this mod!

Share this post


Link to post
Share on other sites
2 hours ago, SpeedShot7 said:

Will support for the Breaking Ground parts be added in the future? The robotic parts as well as the surface experiments are "Non-RO" and they don't work correctly.

Also great work with this mod!

only if you add it yourself

Share this post


Link to post
Share on other sites

Hey guys! hope everyone's having a great weekend!

I was looking at SP Engines and noticed all Engine classes have Int/Skin max temp values at 673K - I'm assuming this is wrong in my install? Posting here as it might be an RO-config-related issue, but happy to take the question over at @soundnfury's SP Engines thread.

Thanks in advance!

Edited by hypervelocity

Share this post


Link to post
Share on other sites

I have a very big problem. this should apply to everyone in Realism overhaul installing visual enhancements. the RSSVE mod is MISSING!!!!!!!!!!!!!!!!!!!!!!!!!! it has been wiped off the face of github. Did phineasfreak die or something??? as far as I know this is just as a few days to two weeks ago. did he get in trouble with github? the RSSVE mod is unobtainable. I can't find it!! All of phineasfreak's repositories have vanished on his profile. https://github.com/PhineasFreak https://github.com/PhineasFreak/RSSVE/releases   

Share this post


Link to post
Share on other sites
On 12/12/2019 at 3:55 PM, Brayaown said:

I have a very big problem. this should apply to everyone in Realism overhaul installing visual enhancements. the RSSVE mod is MISSING!!!!!!!!!!!!!!!!!!!!!!!!!! it has been wiped off the face of github. Did phineasfreak die or something??? as far as I know this is just as a few days to two weeks ago. did he get in trouble with github? the RSSVE mod is unobtainable. I can't find it!! All of phineasfreak's repositories have vanished on his profile. https://github.com/PhineasFreak https://github.com/PhineasFreak/RSSVE/releases   

https://github.com/RCrockford/RSSVE/releases

Share this post


Link to post
Share on other sites

 I just installed RO and I found something a I haven't been able fix yet. I can't controle a rocket that does have halve probe I know that some probes a limited amount of mass can control. Even I if have the right amount of weight I still can't control the rocket. How do i fix this issue

 

Share this post


Link to post
Share on other sites
On 12/14/2019 at 6:06 AM, Hungry_Dragon265 said:

 I just installed RO and I found something a I haven't been able fix yet. I can't controle a rocket that does have halve probe I know that some probes a limited amount of mass can control. Even I if have the right amount of weight I still can't control the rocket. How do i fix this issue

 

I realize from your past posts that English is probably not your first language, but you really should review this pinned post at the top of the Addons board:

The community does want to help. There's just not enough information in any of your posts to be able to help in a meaningful way. We need a screenshot of the issue in action, a copy of your KSP log file, a copy of your ModuleManager cache file, and a detailed description of how to reproduce your issue. Folks aren't on the forums often enough to ask a bunch of questions to get to the bottom of the problem. Take it from someone that has 4200+ hours of KSP under their belt.

For example:

Did you do the reinstall that @hypervelocityinstructed you to? Judging from your GameData folder, you really should be using CKAN and nothing else when it comes to installing and updating mods. That includes AVC.

Which probe core are you using? A lot of early probe cores only have thrust and staging control, not attitude control. Sputnick was just a metal ball with a battery and a transmitter that said "BEEP".

Do you have an active comm connection to a ground station? Probe cores can only do a command if they have an active comm connection to receive it or are executing a kOS script that was commanded when it did. It's also possible to be out of range if your comms aren't good enough, or you could be out of EC, or bunch of other things...

Share this post


Link to post
Share on other sites

Hey folks!

I'm having a problem installing RO with CKAN. I started with a clean 1.6.1 install and began setting up everything according to the guide. Checked 1.3 to 1.6 as compatible KSP versions and installed RSS, but then I noticed Realism Overhaul didn't show up in the mod list. First thing I did was trying to install RO Craft Files to see if something happened, and an error message showed up telling me RO "isn't compatible with the currently installed version of KSP".
Next thing I did was check 1.7 as a compatible KSP version, and it worked, but obviously not all the dependencies it installs are compatible with 1.6.1.
I apologize if this is actually a CKAN problem.

Thanks in advance and happy holidays!

Share this post


Link to post
Share on other sites

There was an update to the RO ckan metadata in the last couple of days.  I think that that added the RO version of smokescreen to the dependencies.  That version is currently marked as only compatible with 1.7.3.  

Share this post


Link to post
Share on other sites

I really enjoy RO and I've been using it for a long time. I just found out that it's available for 1.7.3, so I updated, but that did cause some issues. After reinstalling a few mods (I don't think I ended up removing any*) I got the game to start up, but it cannot run my save.

My save was played with KSP 1.6.1, RO. I'm using ckan, of course.

 

I'm having trouble posting a screenshot of my error, but I can easily describe it. When I click on my old word and hit load, a window pops up asking for conformation, saying that certain vessles are missing parts. Since I use the SurveyorVernier on most of my spacecraft, each of my spacecraft in orbit is saying I'm missing that part. At least, it seems each of my spacecraft has the same warning. Vessel "is missing part RO-SurveyorVernier".

 

1. Will these crafts be deleted if I load the save? What will happen to them?

2. Is it just part of a mod that I somehow removed? 

3. Should I be using ROEngines or RO craft files? It marks them as incompatible.  * I tried switching, which required uninstalling one. This didn't fix the issue, but instead, seemed to add more missing parts when I had removed the original, craft files. 

4. Is there anything I can do, or any information I should provide which would be helpful? 

 

Thank you, and Merry Christmas!

 

John

 

EDIT: Since I'm updating to 1.7.3, there are a number of mods which are not yet updated to that extent, but none of them seem to be responsible for adding engines. 

Edited by JohnKurveen

Share this post


Link to post
Share on other sites
On 12/25/2019 at 12:20 AM, organikarocks said:

I'm having the same problem. Just yesterday, it showed up. I wanted to make a clean reinstall and now i'm getting the same problem.

Why would you be using 1.6.1, 1.7.3 is better in every way over that version. We don't support old versions of RO so don't complain here if it doesn't work correctly. Also, that smokescreen update is critical to the function of RO as it contains a fix for a serious bug that hadn't been addressed by squad since ksp 1.4. This will not be backported to 1.6.1 and sarbian was already nice enough to do it for 1.7.3 when I asked since 1.8.x was already out. Don't ask for help with old versions of RO. From now on unless you are using the smokescreen fix for RO you will receive absolutely no support from us at all; this means you need to be using ksp 1.7.3 or greater.

Edited by raidernick

Share this post


Link to post
Share on other sites
1 hour ago, raidernick said:

Why would you be using 1.6.1, 1.7.3 is better in every way over that version. We don't support old versions of RO so don't complain here if it doesn't work correctly. Also, that smokescreen update is critical to the function of RO as it contains a fix for a serious bug that hadn't been addressed by squad since ksp 1.4. This will not be backported to 1.6.1 and sarbian was already nice enough to do it for 1.7.3 when I asked since 1.8.x was already out. Don't ask for help with old versions of RO. From now on unless you are using the smokescreen fix for RO you will receive absolutely no support from us at all; this means you need to be using ksp 1.7.3 or greater.

Honestly, at this point I wish I could revert back to 1.6.1. That worked fine, but I can't get 1.7.3 working.

Share this post


Link to post
Share on other sites
Quote
23 hours ago, raidernick said:

Why would you be using 1.6.1, 1.7.3 is better in every way over that version. We don't support old versions of RO so don't complain here if it doesn't work correctly. Also, that smokescreen update is critical to the function of RO as it contains a fix for a serious bug that hadn't been addressed by squad since ksp 1.4. This will not be backported to 1.6.1 and sarbian was already nice enough to do it for 1.7.3 when I asked since 1.8.x was already out. Don't ask for help with old versions of RO. From now on unless you are using the smokescreen fix for RO you will receive absolutely no support from us at all; this means you need to be using ksp 1.7.3 or greater.

 

@raidernick This may be a source of the confusion.  I installed RO on 1.7.3 using the latest RP-1 install process on that wiki (https://github.com/KSP-RO/RP-0/wiki/RO-&-RP-1-Installation-for-1.7.3).  I usually have done it all manually in the past (using the Golden Spreadsheet) but this time I followed the instructions step-by-step and used CKAN.  After reading about the special build of SmokeScreen in your post, I went back and checked the CKAN install.  Here is what I found:

There is a regular SmokeScreen that is installed with RO.  There is a separate RO version of SmokeScreen that is not installed.  If you attempt to uninstall the regular SmokeScreen and replace it with the RO version, it uninstalls RO as well.  If you simply attempt to install the RO SmokeScreen, it highlights as an incompatibility unless you get rid of the other (which kills RO as mentioned).

I downloaded the ZIP of the RO SmokeScreen and manually replaced it in GameData; deleting the old SmokeScreen and copying over the new RO version.  It all seems to run but I have not used it extensively as I am wrapping up some missions on 1.6.1 and would rather start over on 1.7.3. I just saw this thread and was curious in case I ran into a problem down the road.

Maybe there is a CKAN setup issue with which SmokeScreen version it should be using?

I thought this info might help.

Share this post


Link to post
Share on other sites
13 hours ago, billgarlic said:

There is a separate RO version of SmokeScreen that is not installed.

 

This is not true - that's exactly what CKAN installs into a fresh 1.7.3 game.

CKAN installs - and only installs - the correct Smokescreen-RO release. It doesn't install the other Smokescreen which is on CKAN

The meta data is setup to even conflict with that, so I guess this is also where some issues the other had comes from. In that case, just download it manually until you do a complete reinstall of the whole RO suite at a point in the future.

 

Issues to 1.6.1 and older, unsupported versions for RO (the thread title specifies that 1.7.3 and only 1.7.3 is supported for the installation instructions) might stem from the Smokescreen-RO ckan.metadata might not have 1.6.1 listed.

Share this post


Link to post
Share on other sites

Are there still any plans for readding the list of supported parts mods? I'm new to RO and it might be helpful to find mods I'd like to use.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.